> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get By Name

> Gets the DNS record by its parent DNS zone (`metadata.parent_id`) and `metadata.name`



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /dns/v1/records/get-by-name
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /dns/v1/records/get-by-name:
    get:
      tags:
        - nebius.dns.v1.RecordService
      summary: Get By Name
      description: >-
        Gets the DNS record by its parent DNS zone (`metadata.parent_id`) and
        `metadata.name`
      operationId: RecordService_GetByName
      parameters:
        - in: query
          name: parentId
          required: true
          schema:
            type: string
        - in: query
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1Record'
          description: A successful response.
components:
  schemas:
    v1Record:
      description: >-
        Each record is contained within a DNS zone, which is a container for DNS
        data of a specific domain, and, possibly, its subdomains

        DNS zones are represented in this API by the `Zone` API Resource which
        is managed by the `ZoneService`
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1RecordSpec'
        status:
          $ref: '#/components/schemas/v1RecordStatus'
      title: >-
        API Resource: DNS *Resource Record* (RR), an information entry about a
        specific domain
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1RecordSpec:
      properties:
        data:
          description: >-
            This should be the RDATA part of this Resource Record's

            [presentation (zonefile)
            format](https://datatracker.ietf.org/doc/html/rfc9499#name-resource-records).

            E.g., `10 xyz.tuv` for a `@ 600 IN MX 10 xyz.tuv.` resource record
            in a zonefile
          title: Record data in text format
          type: string
        deletionProtection:
          title: >-
            Mark this record as delete-protected

            Delete-protected records can *only* be deleted by explicitly calling
            `RecordService/Delete` API with `force` flag set to `true`
          type: boolean
        relativeName:
          title: >-
            Zone-relative name of this record (e.g., `www` for `www.<parent
            zone's domain name>`)

            Use `@` for records in zone apex (that is, records that have the
            same domain name as the zone itself)

            To see the resolved absolute domain name, see
            `Record.status.effective_fqdn`
          type: string
        ttl:
          format: int64
          title: >-
            Record TTL. If absent or negative, will be assumed to be the default
            value (`600`)
          type: string
        type:
          $ref: '#/components/schemas/RecordSpecRecordType'
      required:
        - relativeName
        - type
        - data
      title: DNS record specification
      type: object
    v1RecordStatus:
      properties:
        effectiveFqdn:
          title: >-
            Fully-qualified domain name of this record including `.` at the end,
            e.g. `www.example.com.`
          type: string
        reconciling:
          title: Indicates whether there is a running Operation for this Record
          type: boolean
        zoneDomainName:
          title: >-
            Domain name of this record's parent zone including `.` at the end,
            e.g. `example.com.`
          type: string
      title: DNS record status
      type: object
    RecordSpecRecordType:
      default: RECORD_TYPE_UNSPECIFIED
      description: >-
        - RECORD_TYPE_UNSPECIFIED: Record type is not specified
         - A: `A` record: IPv4 address
         - AAAA: `AAAA` record: IPv6 address
         - PTR: `PTR` record: mapping from IP address to a domain name
         - CNAME: `CNAME` record: an alias for a *canonical domain name*
         - MX: `MX` record: mail server information (domain name, priority)
         - TXT: `TXT` record: text data, typically used to verify e-mail addresses, websites and TLS certificates
         - SRV: `SRV` record: information about a network service (domain name, port, weight)
         - NS: `NS` record: domain name of an authoritative nameserver for this DNS zone, or one of its subzones
         - SOA: `SOA` record: administrative information about this DNS zone
         - CAA: `CAA` record: certificate issuance settings for this DNS zone and its subzones
         - SVCB: `SVCB` record: service binding. See [RFC 9460, section 2.3](https://www.rfc-editor.org/rfc/rfc9460.html#section-2.3)
         - HTTPS: `HTTPS` record: service binding with HTTPS protocol configuration.
        See [RFC 9460, section
        9.1](https://www.rfc-editor.org/rfc/rfc9460.html#section-9.1)
      enum:
        - RECORD_TYPE_UNSPECIFIED
        - A
        - AAAA
        - PTR
        - CNAME
        - MX
        - TXT
        - SRV
        - NS
        - SOA
        - CAA
        - SVCB
        - HTTPS
      title: DNS Record type
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````